mtag: meta Class Reference

- Main Page
- Classes
- Files

- Class List
- Class Members

# meta Class Reference

`#include <meta.h>`

List of all members.

## Static Public Member Functions
static int | getTags (char *filename, TagLib::StringList *tags)
static int | setTags (char *filename, TagLib::StringList tags)
static int | clearTags (char *filename)
static int | addTag (char *filename, TagLib::String tag)
static int | addTag (char *filename, TagLib::StringList tag)
static int | delTag (char *filename, TagLib::String tag)
static int | delTag (char *filename, TagLib::StringList tag)
static int | syncdir (const char *dirname)
static int | search (const char *tag, TagLib::StringList *files)
static int | list (TagLib::StringList *tags)

## Detailed Description

metahandling of data. bundles database and filehandling.

## Member Function Documentation

int meta::getTags | ( | char * | filename,
|  | TagLib::StringList * | tags |
| ) |  |  | `[static]`

get tags from file

Parameters:

  `[in]` | filename | target file
  `[out]` | tags | taglist of file

int meta::setTags | ( | char * | filename,
|  | TagLib::StringList | tags |
| ) |  |  | `[static]`

set tags to file

Parameters:

  `[in]` | filename | target file
  `[in]` | tags | taglist to set

int meta::clearTags | ( | char * | filename | ) | `[static]`

clear tags from file

Parameters:

  `[in]` | filename | target file

int meta::addTag | ( | char * | filename,
|  | TagLib::String | tag |
| ) |  |  | `[static]`

add tag to file

Parameters:

  `[in]` | filename | target file
  `[in]` | tag | tag to add

int meta::addTag | ( | char * | filename,
|  | TagLib::StringList | tag |
| ) |  |  | `[static]`

add tags to file

Parameters:

  `[in]` | filename | target file
  `[in]` | tag | list of tags to add

int meta::delTag | ( | char * | filename,
|  | TagLib::String | tag |
| ) |  |  | `[static]`

remove tag from file

Parameters:

  `[in]` | filename | target file
  `[in]` | tag | tag to remove

int meta::delTag | ( | char * | filename,
|  | TagLib::StringList | tag |
| ) |  |  | `[static]`

remove tags from file

Parameters:

  `[in]` | filename | target file
  `[in]` | tag | list of tags to remove

int meta::syncdir | ( | const char * | dirname | ) | `[static]`

sync dir with database.

Parameters:

  `[in]` | dirname | path to direcoy

int meta::search | ( | const char * | tag,
|  | TagLib::StringList * | files |
| ) |  |  | `[static]`

search for a tag

Parameters:

  `[in]` | tag | tag to look for
  `[out]` | files | list of files tagged with tag

See also:
  sql::search

int meta::list | ( | TagLib::StringList * | tags | ) | `[static]`

list all tags.

Parameters:

  `[out]` | tags | list of tags

See also:
  sql::list

The documentation for this class was generated from the following files:

- meta.h
- meta.cpp